Bug 1622643 - pkg_resources.DistributionNotFound: The 'podman' distribution was not found and is required by pypodman
Summary: pkg_resources.DistributionNotFound: The 'podman' distribution was not found a...
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Fedora
Classification: Fedora
Component: podman
Version: rawhide
Hardware: Unspecified
OS: Unspecified
unspecified
unspecified
Target Milestone: ---
Assignee: Lokesh Mandvekar
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2018-08-27 16:22 UTC by Petr Lautrbach
Modified: 2018-10-07 20:58 UTC (History)
2 users (show)

Fixed In Version: podman-0.9.1-3.gitaba58d1.fc28 podman-0.9.3.1-1.git1cd906d.fc29
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2018-09-14 23:12:54 UTC
Type: Bug


Attachments (Terms of Use)

Description Petr Lautrbach 2018-08-27 16:22:46 UTC
Description of problem:

$ rpm -qf /bin/pypodman 
python3-pypodman-0.8.3-4.dev.git3d55721.fc30.noarch


$ pypodman 
Traceback (most recent call last):
  File "/bin/pypodman", line 6, in <module>
    from pkg_resources import load_entry_point
  File "/usr/lib/python3.7/site-packages/pkg_resources/__init__.py", line 3095, in <module>
    @_call_aside
  File "/usr/lib/python3.7/site-packages/pkg_resources/__init__.py", line 3079, in _call_aside
    f(*args, **kwargs)
  File "/usr/lib/python3.7/site-packages/pkg_resources/__init__.py", line 3108, in _initialize_master_working_set
    working_set = WorkingSet._build_master()
  File "/usr/lib/python3.7/site-packages/pkg_resources/__init__.py", line 570, in _build_master
    ws.require(__requires__)
  File "/usr/lib/python3.7/site-packages/pkg_resources/__init__.py", line 888, in require
    needed = self.resolve(parse_requirements(requirements))
  File "/usr/lib/python3.7/site-packages/pkg_resources/__init__.py", line 774, in resolve
    raise DistributionNotFound(req, requirers)
pkg_resources.DistributionNotFound: The 'podman' distribution was not found and is required by pypodman

Comment 1 Lukas Vrabec 2018-08-28 08:32:39 UTC
I can confirm this bug. 

[root@localhost src]# rpm -q python3-pypodman  
python3-pypodman-0.8.3-4.dev.git3d55721.fc30.noarch

[root@localhost src]# pypodman 
Traceback (most recent call last):
  File "/usr/bin/pypodman", line 6, in <module>
    from pkg_resources import load_entry_point
  File "/usr/lib/python3.7/site-packages/pkg_resources/__init__.py", line 3095, in <module>
    @_call_aside
  File "/usr/lib/python3.7/site-packages/pkg_resources/__init__.py", line 3079, in _call_aside
    f(*args, **kwargs)
  File "/usr/lib/python3.7/site-packages/pkg_resources/__init__.py", line 3108, in _initialize_master_working_set
    working_set = WorkingSet._build_master()
  File "/usr/lib/python3.7/site-packages/pkg_resources/__init__.py", line 570, in _build_master
    ws.require(__requires__)
  File "/usr/lib/python3.7/site-packages/pkg_resources/__init__.py", line 888, in require
    needed = self.resolve(parse_requirements(requirements))
  File "/usr/lib/python3.7/site-packages/pkg_resources/__init__.py", line 774, in resolve
    raise DistributionNotFound(req, requirers)
pkg_resources.DistributionNotFound: The 'podman' distribution was not found and is required by pypodman

Comment 2 Fedora Update System 2018-09-04 15:24:58 UTC
podman-0.8.5-4.gitdc5a711.fc28 has been submitted as an update to Fedora 28. https://bodhi.fedoraproject.org/updates/FEDORA-2018-ea960b1a04

Comment 3 Fedora Update System 2018-09-04 15:25:07 UTC
podman-0.8.5-4.gitdc5a711.fc29 has been submitted as an update to Fedora 29. https://bodhi.fedoraproject.org/updates/FEDORA-2018-573cd53cd5

Comment 4 Fedora Update System 2018-09-04 16:43:30 UTC
podman-0.8.5-5.gitdc5a711.fc29 has been submitted as an update to Fedora 29. https://bodhi.fedoraproject.org/updates/FEDORA-2018-f12551e5cb

Comment 5 Fedora Update System 2018-09-04 16:43:39 UTC
podman-0.8.5-5.gitdc5a711.fc28 has been submitted as an update to Fedora 28. https://bodhi.fedoraproject.org/updates/FEDORA-2018-ed57be9c29

Comment 6 Fedora Update System 2018-09-05 21:27:00 UTC
podman-0.8.5-5.gitdc5a711.fc29 has been pushed to the Fedora 29 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2018-f12551e5cb

Comment 7 Fedora Update System 2018-09-07 00:06:21 UTC
podman-0.8.5-5.gitdc5a711.fc28 has been pushed to the Fedora 28 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2018-ed57be9c29

Comment 8 Fedora Update System 2018-09-07 00:06:52 UTC
podman-0.8.5-5.gitdc5a711.fc28 has been pushed to the Fedora 28 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2018-ed57be9c29

Comment 9 Fedora Update System 2018-09-09 12:26:05 UTC
podman-0.9.1-3.gitaba58d1.fc29 has been submitted as an update to Fedora 29. https://bodhi.fedoraproject.org/updates/FEDORA-2018-299bc6b60a

Comment 10 Fedora Update System 2018-09-09 12:26:19 UTC
podman-0.9.1-3.gitaba58d1.fc28 has been submitted as an update to Fedora 28. https://bodhi.fedoraproject.org/updates/FEDORA-2018-eefce9a96a

Comment 11 Fedora Update System 2018-09-09 20:23:40 UTC
podman-0.9.1-3.gitaba58d1.fc29 has been pushed to the Fedora 29 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2018-299bc6b60a

Comment 12 Fedora Update System 2018-09-11 18:10:38 UTC
podman-0.9.1-3.gitaba58d1.fc28 has been pushed to the Fedora 28 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2018-eefce9a96a

Comment 13 Fedora Update System 2018-09-12 03:32:22 UTC
podman-0.9.1.1-1.dev.git95dbcad.fc29 has been submitted as an update to Fedora 29. https://bodhi.fedoraproject.org/updates/FEDORA-2018-54fd02eecd

Comment 14 Fedora Update System 2018-09-13 03:32:06 UTC
podman-0.9.1.1-1.dev.git95dbcad.fc29 has been pushed to the Fedora 29 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2018-54fd02eecd

Comment 15 Fedora Update System 2018-09-14 23:12:54 UTC
podman-0.9.1-3.gitaba58d1.fc28 has been pushed to the Fedora 28 stable repository. If problems still persist, please make note of it in this bug report.

Comment 16 Fedora Update System 2018-09-20 13:30:52 UTC
podman-0.9.2-2.git81df604.fc29 has been submitted as an update to Fedora 29. https://bodhi.fedoraproject.org/updates/FEDORA-2018-e617784882

Comment 17 Fedora Update System 2018-09-20 16:19:32 UTC
podman-0.9.2-2.git81df604.fc29 has been pushed to the Fedora 29 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2018-e617784882

Comment 18 Fedora Update System 2018-09-24 14:39:41 UTC
podman-0.9.3-2.gita723353.fc29 has been submitted as an update to Fedora 29. https://bodhi.fedoraproject.org/updates/FEDORA-2018-e617784882

Comment 19 Fedora Update System 2018-09-27 02:07:50 UTC
podman-0.9.3-4.gita723353.fc29 has been pushed to the Fedora 29 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2018-e617784882

Comment 20 Fedora Update System 2018-09-27 14:02:29 UTC
podman-0.9.3.1-1.git1cd906d.fc29 has been submitted as an update to Fedora 29. https://bodhi.fedoraproject.org/updates/FEDORA-2018-e617784882

Comment 21 Fedora Update System 2018-09-27 16:41:00 UTC
podman-0.9.3.1-1.git1cd906d.fc29 has been pushed to the Fedora 29 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2018-e617784882

Comment 22 Fedora Update System 2018-10-07 20:58:18 UTC
podman-0.9.3.1-1.git1cd906d.fc29 has been pushed to the Fedora 29 stable repository. If problems still persist, please make note of it in this bug report.


Note You need to log in before you can comment on or make changes to this bug.